Announcement

Collapse
No announcement yet.

Question about upgrading to 2.2.8

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Question about upgrading to 2.2.8

    Hello.

    My board is on version 2.2.7
    I have done some hacks but they are ONLY Template hacks, I have not touched any php files.

    I see that only 2 templates are updated/changed in version 2.2.8

    error_emailflood
    and
    privmsg

    I haven't touch these templates either...

    So, will it be ok if I just backup my database - and put the 2.2.8 files on the server and then run the upgrade21.php ?

    I mean, do I need to convert my hacked templates to their initial form, or is this not needed, as they are irrelative to the ones tha 2.2.8 has changed?

    thanx in advance

  • #2
    Actually, when you run upgrade21.php, the error_emailflood template will be added automatically.

    And to change the privmsg template, just change $title to $message[title] in the < title> tags. (I think that's the right variable - you can check it).
    Avatar Chat

    Comment


    • #3
      Originally posted by Erwin
      Actually, when you run upgrade21.php, the error_emailflood template will be added automatically.

      And to change the privmsg template, just change $title to $message[title] in the < title> tags. (I think that's the right variable - you can check it).
      thanx for the reply

      However I'm kind of confused... with what u told me, I will manually change the templates...

      what about the php files?

      Will it be ok if I just backup my database - and put the 2.2.8 files on the server and then run the upgrade21.php ?

      ---without converting the hacked templates to their original state?
      Last edited by stark427; Wed 25th Sep '02, 5:21am.

      Comment


      • #4
        Changing the PHP files won't affect the templates because the templates are stored in the database and just referenced in the PHP files.
        --filburt1, vBulletin.org/vBulletinTemplates.com moderator
        Web Design Forums.net: vB Board of the Month
        vBulletin Mail System (vBMS): webmail for your forum users

        Comment


        • #5
          Originally posted by stark427
          thanx for the reply

          However I'm kind of confused... with what u told me, I will manually change the templates...

          what about the php files?

          Will it be ok if I just backup my database - and put the 2.2.8 files on the server and then run the upgrade21.php ?

          ---without converting the hacked templates to their original state?
          Exactly. You don't have to convert the hacked templates - everytime you upgrade, vB does not touch your hacked templates. Only your unhacked templates will be replaced. With the upgrade from 2.2.7 to 2.2.8, only 1 templates is changed, and I've told you how to do it manually.
          Avatar Chat

          Comment


          • #6
            Originally posted by Erwin
            Exactly. You don't have to convert the hacked templates - everytime you upgrade, vB does not touch your hacked templates. Only your unhacked templates will be replaced. With the upgrade from 2.2.7 to 2.2.8, only 1 templates is changed, and I've told you how to do it manually.
            Yes u told me how to change manually the template... and thanx.
            But... Its like you are telling me NOT to run the upgrade php and only change manually the template(s)....

            But 2.2.8 is supposed to solve the mark forum read probs - which are plenty at my forum - so I want the php files also changed...

            Reading the 2.2.8 announcement you get the meaning that :

            1 template is added (error_emailflood)
            1 is a bit changed (privmsg)
            some PHP files are changed....

            So running the upgrade php file... will do ALL of these, right?
            Then what's the use of changing manually the privmsg template, when it will already have been changed by the upgrade?? :confused

            the bottom line... I guess the only thing I have to do... is to run the upgrade21.php... and everything will be ok.... right?

            stark <---------------------------------- really :confused !

            Comment


            • #7
              Upload the 2.2.8 files then run upgrade21.php. If necessary, revert the privmsg template after completing the upgrade.
              Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
              Change CKEditor Colors to Match Style (for 4.1.4 and above)

              Steve Machol Photography


              Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


              Comment


              • #8
                Originally posted by stark427
                So running the upgrade php file... will do ALL of these, right?
                Then what's the use of changing manually the privmsg template, when it will already have been changed by the upgrade?? :confused

                the bottom line... I guess the only thing I have to do... is to run the upgrade21.php... and everything will be ok.... right?

                stark <---------------------------------- really :confused !
                No, you have misunderstood.

                Running upgrade21.php only adds templates and updates the mysql database. It does not and cannot change the PHP files. You need to upload the new 2.2.8 PHP files to replace the old ones, or manually change the old ones.

                So, in the following order:

                1) Upload 2.2.8 PHP files to replace the old ones (if you have hacked the old ones, then you need to upload the new ones and reapply the hacks, or use a compare program to update the old one files)
                2) Run upgrade21.php
                3) Fix the templates. You don't have to revert the 'privmsg' template if you did the fix I posted.
                Avatar Chat

                Comment


                • #9
                  Originally posted by Erwin
                  Exactly. You don't have to convert the hacked templates - everytime you upgrade, vB does not touch your hacked templates. Only your unhacked templates will be replaced. With the upgrade from 2.2.7 to 2.2.8, only 1 templates is changed, and I've told you how to do it manually.
                  Is this true?

                  When you import the German Language Style on your vB, every single Style, Template, Replacement is marked as 'changed by user'. Does this really mean, that installing lang-packs makes you unable to Update your vB automatically? That would be odd.

                  Comment


                  • #10
                    This will not be a problem ith vB3. However with vB2.2.x you may be able to get by with trunning the older templates as long as they do not have any serious bugs.
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment


                    • #11
                      Thanx (to all) for your replies

                      I have applied the update to 2.2.8 and everything seems to be ok.
                      Except one thing.

                      This is a screenshot with the two styles I have at my forums.
                      The first is the default. There the version stated is 2.2.8 (ok).

                      At the other style (the one below) the version seems to be still 2.2.7 !!

                      Why could this be happening?

                      Comment


                      • #12
                        and now I found something else...

                        after I did the upgrade I went to see the prvmsg templates at each style.

                        At the default style there's no need to correct anything... the $message[title] is there

                        BUT

                        at the other style I have... in the prvmsg template its still like that:

                        <title>$bbtitle - Private Messages - $title</title>




                        it seems like the upgrade affected only the default style... (?)
                        what should i do about it?

                        Should I just manually change the template of the 2nd style to " $message[title]" and the version on the footer template from 2.2.7 to 2.2.8 ?

                        will these be enough?

                        Comment


                        • #13
                          Upgrading does not overwrite any customizations you made to the templates. Just revert your footer template in the style showing 2.2.7.
                          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                          Change CKEditor Colors to Match Style (for 4.1.4 and above)

                          Steve Machol Photography


                          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                          Comment


                          • #14
                            The upgrade file only updates the DEFAULT templateset. To change the other templatesets, you will need to revert them to default, or change them manually.
                            Avatar Chat

                            Comment


                            • #15
                              thank you both
                              I appreciate it :-)

                              Comment

                              Loading...
                              Working...
                              X